The BOOST_PP_ARRAY_TO_LIST macro converts an array to a list.

#### Usage

BOOST_PP_ARRAY_TO_LIST(array)

#### Arguments

array
  The array to be converted.

#### Requirements

Header: <boost/preprocessor/array/to_list.hpp>

#### Sample Code

    #include <boost/preprocessor/array/to_list.hpp>

    BOOST_PP_ARRAY_TO_LIST((3, (x, y, z)))
       // expands to (x, (y, (z, BOOST_PP_NIL)))

© Copyright Edward Diener 2011

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)